Module submission - xgsch2pcb-cvs
criggenbach@magahugu.net
criggenbach at magahugu.net
Mon May 28 18:05:09 CEST 2007
module name : xgsch2pcb-cvs
suggested section : science
update (y/n) : n
bugfix (y/n) : n
security (y/n) : n
christian
-------------- next part --------------
--- xgsch2pcb-cvs/BUILD 1970-01-01 01:00:00.000000000 +0100
+++ xgsch2pcb-cvs/BUILD 2007-05-27 18:37:52.000000000 +0200
@@ -0,0 +1,136 @@
+cd xgsch2pcb/
+
+cat > autogen3.sh << "EOF"
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+# This file came from glade-2.0.0 with modifications for gEDA/gaf.
+# Ales Hvezda 11/09/2003
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+configure_script=configure.ac
+
+DIE=0
+
+(test -f $srcdir/$configure_script) || {
+echo -n "**Error**: Directory [ $srcdir ] does not look like the"
+echo " top-level package directory"
+exit 1
+}
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+echo
+echo "**Error**: You must have \`autoconf' installed."
+echo "Download the appropriate package for your distribution,"
+echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+DIE=1
+}
+
+(grep "^AM_PROG_LIBTOOL" $srcdir/$configure_script >/dev/null) && {
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+echo
+echo "**Error**: You must have \`libtool' installed."
+echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+DIE=1
+}
+}
+
+(grep "^AM_GNU_GETTEXT" $srcdir/$configure_script >/dev/null) && {
+(grep "sed.*POTFILES" $srcdir/$configure_script) > /dev/null || \
+(autopoint --version) < /dev/null > /dev/null 2>&1 || {
+echo
+echo "**Error**: You must have \`gettext' installed."
+echo "You can get it from: http://www.gnu.org/software/gettext"
+DIE=1
+}
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+echo
+echo "**Error**: You must have \`automake' installed."
+echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+DIE=1
+NO_AUTOMAKE=yes
+}
+
+
+# if no automake, don't bother testing for aclocal
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+echo
+echo "**Error**: Missing \`aclocal'. The version of \`automake'"
+echo "installed doesn't appear recent enough."
+echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
+DIE=1
+}
+
+if test "$DIE" -eq 1; then
+exit 1
+fi
+
+# Don't run configure automatically.
+#if test -z "$*"; then
+# echo "**Warning**: I am going to run \`configure' with no arguments."
+# echo "If you wish to pass any to it, please specify them on the"
+# echo \`$0\'" command line."
+# echo
+#fi
+
+case $CC in
+xlc )
+am_opt=--include-deps;;
+esac
+
+for coin in $srcdir/$configure_script
+do
+dr=`dirname $coin`
+if test -f $dr/NO-AUTO-GEN; then
+echo skipping $dr -- flagged as no auto-gen
+else
+echo processing $dr
+( cd $dr
+
+aclocalinclude="$ACLOCAL_FLAGS"
+
+if grep "^AM_GNU_GETTEXT" $configure_script >/dev/null; then
+echo "autogen.sh running: autopoint ..."
+echo "no" | autopoint --force
+#echo "Creating $dr/po/Makevars ..."
+#mv -f $dr/po/Makevars.template $dr/po/Makevars
+fi
+if grep "^AM_PROG_LIBTOOL" $configure_script >/dev/null; then
+if test -z "$NO_LIBTOOLIZE" ; then
+echo "autogen.sh running: libtoolize ..."
+libtoolize --force --copy
+fi
+fi
+echo "autogen.sh running: aclocal $aclocalinclude ..."
+aclocal $aclocalinclude
+if grep "^AM_CONFIG_HEADER" $configure_script >/dev/null; then
+echo "autogen.sh running: autoheader ..."
+autoheader
+fi
+echo "autogen.sh running: automake $am_opt ..."
+automake --copy --add-missing --gnu $am_opt
+echo "autogen.sh running: autoconf ..."
+autoconf
+)
+fi
+done
+
+
+# Don't run configure.
+#conf_flags="--enable-maintainer-mode"
+#
+#if test x$NOCONFIGURE = x; then
+# echo Running $srcdir/configure $conf_flags "$@" ...
+# $srcdir/configure $conf_flags "$@" \
+# && echo Now type \`make\' to compile. || exit 1
+#else
+# echo Skipping configure process.
+#fi
+EOF
+
+
+make distclean
+./autogen.sh && ./configure --prefix=/usr && make && prepare_install && make install
\ Kein Zeilenumbruch am Dateiende.
--- xgsch2pcb-cvs/DEPENDS 1970-01-01 01:00:00.000000000 +0100
+++ xgsch2pcb-cvs/DEPENDS 2007-05-27 18:24:41.000000000 +0200
@@ -0,0 +1,8 @@
+depends automake &&
+depends autoconf &&
+depends libtool &&
+depends pkgconfig &&
+depends gettext &&
+depends guile &&
+depends gtk+-2 &&
+depends groff
\ Kein Zeilenumbruch am Dateiende.
--- xgsch2pcb-cvs/DETAILS 1970-01-01 01:00:00.000000000 +0100
+++ xgsch2pcb-cvs/DETAILS 2007-05-28 13:30:06.000000000 +0200
@@ -0,0 +1,18 @@
+ MODULE=xgsch2pcb-cvs
+ UPDATED=`date -u +%Y%m%d`
+ VERSION=$UPDATED
+ SOURCE=$MODULE-$VERSION.tar.bz2
+SOURCE_DIRECTORY=$BUILD_DIRECTORY/geda-cvs-$UPDATED/
+ SOURCE_URL[0]=cvs://:pserver:anoncvs:guest@cvs.seul.org:/home/cvspsrv/cvsroot/:geda/xgsch2pcb
+ WEB_SITE=http://geda.seul.org/tools/geda/index.html
+ ENTERED=20070527
+ MAINTAINER="Christian Riggenbach"
+ SHORT="a geda-tool to export the schema to a pcb"
+cat << EOF
+This tool automates the prozess of creating a PCB-board
+from a gEDA-schema. The old tool, sch2pcb, is outdated and
+kicked out of gEDA/gaf. It is recomned to use the latest
+PCB-version from CVS, because this tool uses a D-Bus-connection
+to remote control PCB.
+EOF
+
-------------- next part --------------
lvu submit xgsch2pcb-cvs 2a2ed0e1479c8b8e1be8c449720aadf0 -
2.6.21.1Gizmotron-2007-05-08 2.6.12 gcc- glibc-2.3.6
More information about the Lunar
mailing list